# Delete compute service

Open

Experimental endpoint: this API is in active development and may change at any time without notice. Deletes a compute service. All compute versions under the service must already be stopped or deleted.

⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️

Deletes a compute service. All compute versions under the service must already be stopped or deleted.

DELETE `/v1/compute-services/{computeServiceId}`

## [Authorization](/content/docs/management-api/endpoints/%5Bexperimental%5D/delete-compute-services-by-compute-service-id#authorization/index.html)

`OAuth2 workspace:admin, offline_access`

Authorization Bearer <token>

OAuth2 authentication

In: `header`

Scope: `workspace:admin, offline_access`

## [Path Parameters](/content/docs/management-api/endpoints/%5Bexperimental%5D/delete-compute-services-by-compute-service-id#path-parameters/index.html)

computeServiceId *string*

Match `^(cps_)?([cC][^\s-]{8,}|[a-z0-9]+)$`

## [Response Body](/content/docs/management-api/endpoints/%5Bexperimental%5D/delete-compute-services-by-compute-service-id#response-body/index.html)

### 204

### 401  `application/json`

### 403  `application/json`

### 404  `application/json`

### 409  `application/json`

### 429  `application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X DELETE "https://api.prisma.io/v1/compute-services/string"
```

204 401 403 404 409 429

Empty

```
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
```

```
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
```

```
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
```

```
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
```

```
{
  "error": {
    "code": "string",
    "message": "string",
    "hint": "string"
  }
}
```
